WordPress.org

Ready to get started?Download WordPress

Forums

WP Socializer
[resolved] Suffusion Featured Content Slider doesn't work with this plugin (6 posts)

  1. laltoofan2
    Member
    Posted 1 year ago #

    I really love this plugin has been the best social plugin I have tried so far, so it was a shame when I had to disable it! :(

    It made the featured content image slider on my website stop working, just disappeared altogether leaving a blank white space. It seems this plugin may not be working with the suffusion theme as this is what I am using at the moment and a couple of other people have commented about this on the Aquoid Forum. There where a few other posts under mine explaining that it was this plugin that was effecting everything.

    Hope you get a work around soon, I haven't really found another social plugin which has the features I like!

    Regards

    http://wordpress.org/extend/plugins/wp-socializer/

  2. pcspec
    Member
    Posted 1 year ago #

    I have the same problem...
    Additionally drop down menu stopped working
    Waiting for update...

    WP: 3.4.1
    Theme: Suffusion 4.2.8
    WP Socializer: 2.4.4

  3. ifaist0s
    Member
    Posted 1 year ago #

    I confirm the problem. I had to totally deactivate the WP Socializer plugin for Suffusion drop-down menus and featured content to work.

    It has been mentioned in Suffusion support forum as well > http://aquoid.com/forum/viewtopic.php?f=2&t=12006

    WP: 3.4.1
    Suffusion: 4.2.8
    WP Socializer: 2.4.4

  4. alieneila
    Member
    Posted 1 year ago #

    wp-socializer is deregistering jquery, then registering and enqueuing the jquery.min.js..

    file: wp-socializer.php

    changed lines 1079-1081 from...

    if( !is_admin()){
    	// jQuery
    	wp_deregister_script('jquery');
    	wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"), false, WPSR_VERSION);
    	wp_enqueue_script('jquery');
    }

    to...

    if( !is_admin()){
    	// jQuery
    	wp_deregister_script('jquerywps');
    	wp_register_script('jquerywps', ("http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"), false, WPSR_VERSION);
    	wp_enqueue_script('jquerywps');
    }

    and everything works, but doesn't mean it's the right way to handle this situation =P

  5. vaakash
    Member
    Plugin Author

    Posted 1 year ago #

    @alieneila The problem is with suffusion only. It is not possible to enqueue jquery according to a particular theme. They should follow the standards for this. Hope the problem is cleared for all.

  6. alieneila
    Member
    Posted 1 year ago #

    @vaakash: It's not limited to suffusion. I have a featured post slider plugin that I wrote and it uses jquery but doesn't enqueue any jquery versions, it uses the jquery script that WordPress includes. After activating wp-socializer, it stopped working and started tossing out jquery errors in Firebug Console. Made the changes above and it worked again.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic